Subject: Re: Running Bash Scripts? - Summary
From: [email-masked] ("Paul McDermott")

10 Mar 1997 23:49:54 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
Original-To: "Gnu-Win32 Mailing List" <[email-masked]>
X-MSMail-Priority: Normal
X-Priority: 3
X-Mailer: Microsoft Internet Mail 4.70.1155
Original-Sender: [email-masked]

Thanks to everyone who replied. Here is a summary for the archive:

1. The bin directory (in my case h:\Cygnus\H-i386-cygwin32\bin) must be in
your DOS path. Set this up using a *.bat script which start bash.

2. The bin directory must contain a sh.exe. This can be a copy of bash.exe
(as the current implementation of cygwin32 does not support symbolic
links).

3. The $SHELL environment variable is ignored by bash (This is clear from
the bash manpage, but I thought it was used by bash...)

4. The bash PATH does not *have* to point to the bin directory to run, but
your script will probably contain commands which do require it.

1 and 2 are strange conditions: anyone have a good reason why they exist?

Paul
----------
> From: Paul McDermott <[email-masked]>
> To: Gnu-Win32 Mailing List <[email-masked]>
> Subject: Running Bash Scripts?
> Date: Sunday, March 09, 1997 7:14 PM
> 
> When I first run bash in a DOS box in Windows 95, and run a bash script,
I
> get a no such file of directory error. If I then run a sub-shell by
typing
> "bash", the script will run fine. (see the example below). Does anyone
know
> why?
> 
> 1:# cd /windows/desktop/example
> 2:/windows/desktop/example# ls -al test5
> -rw-r--r--   1 500      everyone       13 Mar 09 19:08 test5
> 3:/windows/desktop/example# cat test5
> echo Hi
> ls
> 4:/windows/desktop/example# test5
> BASH.EXE: ./test5: No such file or directory
> 5:/windows/desktop/example# bash
> 1:/windows/desktop/example# test5
> Hi
> test5
> 2:/windows/desktop/example# exit
> exit
> 6:/windows/desktop/example#

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".